Get packet template
GET
/packet-constructor/templates/{id}Returns a saved packet template with its metadata.
Contract
Parameter | Value |
|---|---|
| Section | packet-constructor |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | integer | Template ID |
Responses
5 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
400 | Invalid ID | object |
401 | Unauthorized | object |
404 | Template not found | object |
500 | Internal server error | object |
{ "ID": 0, "createdAt": "<string>", "description": "<string>", "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ {} ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "permissions": [ 0 ], "realName": "<string>", "updatedAt": "<string>" }, "issuerID": 0, "name": "<string>", "template": {}, "updatedAt": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }